Updates the equipment_brand object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

equipment_brand
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the equipment brand

string

Required

Max length: 50

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "2a7eda22-961d-4ab5-a156-f039258f29a9",
  "name": "sample string 2",
  "code": "sample string 3",
  "sales_organization_id": "a328b0fb-9db2-40a1-92b1-85d9081ea68a",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "c54e6515-51f8-4575-8370-6e6213ce3d8b",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "c80e9221-3c03-48c4-9bd6-eaee9140df6e",
    "db_currency_id": "d139f14f-43ee-4726-9580-4bb64305ab48",
    "db_language_id": "30cebb74-7f15-4a35-b284-9393c4df58ed",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-07-08T06:13:30.2613068+00:00"
  },
  "modified_dateutc": "2026-07-08T06:13:30.2613068+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.